Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.rng
Class RandomStreamInstantiationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  umontreal.iro.lecuyer.rng.RandomStreamInstantiationException

All Implemented Interfaces:
  Serializable

    public class RandomStreamInstantiationException

extends RuntimeException

This exception is thrown when a random stream factory cannot instantiate a stream on a call to its `newInstance` method.

See Also:
  Serialized Form

Constructor Summary
`RandomStreamInstantiationException(RandomStreamFactory factory)` Constructs a new random stream instantiation exception with no message, no cause, and thrown by the given `factory`.
`RandomStreamInstantiationException(RandomStreamFactory factory, String message)` Constructs a new random stream instantiation exception with the given `message`, no cause, and concerning `factory`.
`RandomStreamInstantiationException(RandomStreamFactory factory, String message, Throwable cause)` Constructs a new random stream instantiation exception with the given `message`, the supplied `cause`, and concerning `factory`.
`RandomStreamInstantiationException(RandomStreamFactory factory, Throwable cause)` Constructs a new random stream instantiation exception with no message, the given `cause`, and concerning `factory`.

Method Summary
`RandomStreamFactory` | `getRandomStreamFactory()` Returns the random stream factory concerned by this exception.
`String` | `toString()` Returns a short description of the exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RandomStreamInstantiationException

    public RandomStreamInstantiationException(RandomStreamFactory factory)

  Constructs a new random stream instantiation exception with no message, no cause, and thrown by the given `factory`.

  Parameters:
    `factory` - the random stream factory which thrown the exception.

### RandomStreamInstantiationException

    public RandomStreamInstantiationException(RandomStreamFactory factory,
                                              String message)

  Constructs a new random stream instantiation exception with the given `message`, no cause, and concerning `factory`.

  Parameters:
    `factory` - the random stream factory concerned by the exception.
    `message` - the error message describing the exception.

### RandomStreamInstantiationException

    public RandomStreamInstantiationException(RandomStreamFactory factory,
                                              Throwable cause)

  Constructs a new random stream instantiation exception with no message, the given `cause`, and concerning `factory`.

  Parameters:
    `factory` - the random stream factory concerned by the exception.
    `cause` - the cause of the exception.

### RandomStreamInstantiationException

    public RandomStreamInstantiationException(RandomStreamFactory factory,
                                              String message,
                                              Throwable cause)

  Constructs a new random stream instantiation exception with the given `message`, the supplied `cause`, and concerning `factory`.

  Parameters:
    `factory` - the random stream factory concerned by the exception.
    `message` - the error message describing the exception.
    `cause` - the cause of the exception.

Method Detail

### getRandomStreamFactory

    public RandomStreamFactory getRandomStreamFactory()

  Returns the random stream factory concerned by this exception.

  Returns:
    the random stream factory concerned by this exception.

### toString

    public String toString()

  Returns a short description of the exception. If `getRandomStreamFactory` returns `null`, this calls `super.toString`. Otherwise, the result is the concatenation of: a) the name of the actual class of the exception;
  b) the string `": For random stream factory "`;
  c) the result of `getRandomStreamFactory``.toString()`;
  d) if `getMessage` is non-`null`, `", "` followed by the result of `getMessage`.

  Overrides:
    `toString` in class `Throwable`
  Returns:
    a string representation of the exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.